# Overview

The Storage Made Easy™ File Fabric™ enables IT to regain control of "cloud data
sprawl" by unifying on-premises and cloud storage into a single, easily managed,
converged infrastructure with policy-based controls for governance, audit and
security. Organizations use the File Fabric to enable workgroup collaboration,
file sharing and synchronization through a full suite of desktop, mobile and web
applications.

This charm "sme" installs Apache2, memcache and Apache SOLR. A
MariaDB Server is also required. Post juju installation the service requires
configuration with a storage provider (60+ on premise and cloud services
supported) and connection to an SMTP server.

# Usage

This charm requires Juju 2.0 or greater. If Juju is not yet set up, please
follow the [Getting Started](https://jujucharms.com/docs/stable/getting-started)
instructions prior to deploying this charm.

The charm requires a MariaDB database:

    juju deploy mariadb

Deploy the File Fabric by executing:

    juju deploy sme

Then connect the two units through:

    juju add-relation mariadb sme

Finally, expose the service using:

    juju expose sme

## Accessing the service

Once the installation has completed browse to https://sme-machine
to complete configuration.  A Login screen with the Storage Made Easy
logo will be displayed.

Follow login instructions provided with your license.

You may request a trial license from sales@storagemadeeasy.com.

# Configuration

Click [here](https://storagemadeeasy.com/files/eacb633b9fa6227e3dbf55038d2b3ac6.docx)
to download a Configuration Guide for the initial setup.

## Scale out Usage

The server scales horizontally with additional sme units. A load balancer can
be added.

# Resources

- [Product Website](https://www.storagemadeeasy.com)
- [Configuration Guide](https://storagemadeeasy.com/files/eacb633b9fa6227e3dbf55038d2b3ac6.docx)
- [Documentation](https://storagemadeeasy.com/wiki/)
- [Contact Us](https://storagemadeeasy.com/contacts/)
- [Contact Support](mailto:support@storagemadeeasy.com)
- [Contact Sales](mailto:sales@storagemadeeasy.com)
- [Forums](http://thesmespace.webtoolbox.com)
- [Blog](http://blog.storagemadeeasy.com)
